--- root.orig/configure	2006-03-02 02:41:46.000000000 -0600
+++ root.new/configure	2006-03-11 22:36:07.000000000 -0600
@@ -1982,21 +1982,21 @@
     # for a system library, then see if we have various headers needed.
     if test "x$enable_builtin_afterimage" = "xyes" ; then
        check_header "jpeglib.h" "" $ASIMAGE $ASIMAGE/include \
-          /usr/local/include /usr/include /opt/include
+          $finkdir/include /usr/local/include /usr/include /opt/include
        asjpegincdir=$found_dir
        check_header "png.h" "" $ASIMAGE $ASIMAGE/include \
-          /usr/local/include /usr/include /usr/local/include/libpng \
+          $finkdir/include /usr/local/include /usr/include /usr/local/include/libpng \
           /opt/include
        aspngincdir=$found_dir
        if test ! "x$enable_astiff" = "xno" ; then
            check_header "tiffio.h" "" $ASIMAGE $ASIMAGE/include \
-               /usr/local/include /usr/include /opt/include
+               $finkdir/include /usr/local/include /usr/include /opt/include
            astiffincdir=$found_dir
        else
            astiffincdir="--with-tiff=no"
        fi
        check_header "gif_lib.h" "" $ASIMAGE $ASIMAGE/include \
-          /usr/local/include /usr/include /opt/include
+          $finkdir/include /usr/local/include /usr/include /opt/include
        asgifincdir=$found_dir
 
        asextralib=""
@@ -2014,7 +2014,7 @@
        fi
        for k in $aslibs ; do
            check_library $k "$enable_shared" "" \
-             $ASIMAGE $ASIMAGE/lib /usr/local/lib /usr/lib /opt/lib
+             $ASIMAGE $ASIMAGE/lib $finkdir/lib /usr/local/lib /usr/lib /opt/lib
            if test "x$k" = "xlibz" ; then
                found_libz=$found_lib
                found_dirz=$found_dir
--- root.orig/config/Makefile.macosx	2005-05-10 10:02:41.000000000 -0500
+++ root.new/config/Makefile.macosx	2005-11-02 06:59:32.000000000 -0600
@@ -94,8 +94,8 @@
 endif
 
 # Override default in Makefile.config
-INSTALL      := cp -pPR
-INSTALLDATA  := cp -pPR
+INSTALL      := /bin/cp -pPR
+INSTALLDATA  := /bin/cp -pPR
 
 # Extras
 ifeq ($(NEEDFINK),yes)
--- root.orig/build/unix/makelib.sh	2006-03-25 14:17:40.000000000 -0600
+++ root.new/build/unix/makelib.sh	2006-03-27 18:47:06.000000000 -0600
@@ -113,8 +113,8 @@
    # Add versioning information to shared library if available
    if [ "x$MAJOR" != "x" ]; then
        VERSION="-compatibility_version ${MAJOR} -current_version ${MAJOR}.${MINOR}.${REVIS}"
-       SONAME=`echo $SONAME | sed "s/.*\./&${MAJOR}./"`
-       LIB=`echo $LIB | sed "s/\/*.*\/.*\./&${MAJOR}.${MINOR}./"`
+       SONAME=`echo $SONAME | sed "s/\(.*\)\.dylib/\1.${MAJOR}.dylib/"`
+       LIB=`echo $LIB | sed "s/\(\/*.*\/.*\)\.dylib/\1.${MAJOR}.${MINOR}.dylib/"`
    fi
    if [ $macosx_minor -ge 4 ]; then
       cmd="$LD $SOFLAGS$SONAME $m64 -o $LIB $OBJS \
@@ -135,19 +135,21 @@
    else
       opt=-O
    fi
-   if [ $macosx_minor -ge 4 ]; then
-      cmd="ln -fs `basename $LIB` $BUNDLE"
-   elif [ $macosx_minor -ge 3 ]; then
-      cmd="$LD $opt $m64 -bundle -undefined dynamic_lookup -o \
-          $BUNDLE $OBJS `[ -d ${FINKDIR}/lib ] && echo -L${FINKDIR}/lib` \
-          -ldl $EXTRA $EXPLLNKCORE"
-   else
-      cmd="$LD $opt -bundle -undefined suppress -o $BUNDLE \
-	   $OBJS `[ -d ${FINKDIR}/lib ] && echo -L${FINKDIR}/lib` \
-           -ldl $EXTRA $EXPLLNKCORE"
+   if [ $LIB != $BUNDLE ]; then
+       if [ $macosx_minor -ge 4 ]; then
+	   cmd="ln -fs `basename $LIB` $BUNDLE"
+       elif [ $macosx_minor -ge 3 ]; then
+	   cmd="$LD $opt $m64 -bundle -undefined dynamic_lookup -o \
+                $BUNDLE $OBJS `[ -d ${FINKDIR}/lib ] && echo -L${FINKDIR}/lib` \
+                -ldl $EXTRA $EXPLLNKCORE"
+       else
+	   cmd="$LD $opt -bundle -undefined suppress -o $BUNDLE \
+	        $OBJS `[ -d ${FINKDIR}/lib ] && echo -L${FINKDIR}/lib` \
+                -ldl $EXTRA $EXPLLNKCORE"
+       fi
+       echo $cmd
+       $cmd
    fi
-   echo $cmd
-   $cmd
 elif [ $LD = "KCC" ]; then
    cmd="$LD $LDFLAGS -o $LIB $OBJS $EXTRA $EXPLLNKCORE"
    echo $cmd
@@ -195,8 +197,11 @@
 	ln -fs $SONAME.$MAJOR        $LIB
     elif [ -f $LIB ]; then
 	# Versioned library has format foo.3.05.so
-	ln -fs `echo $SONAME | sed "s/.*\./&${MINOR}./"` `echo $LIB | sed "s/\.${MINOR}//"`
-	ln -fs `echo $SONAME | sed "s/.*\./&${MINOR}./"` `echo $LIB | sed "s/\.${MAJOR}\.${MINOR}//"`
+	source_file=`echo $SONAME | sed "s/.*\./&${MINOR}./"`
+	if [ $LIB != ${LIB/.${MAJOR}.${MINOR}/} ]; then
+	    ln -fs $source_file ${LIB/.${MINOR}/}
+	    ln -fs $source_file ${LIB/.${MAJOR}.${MINOR}/}
+	fi
     fi
 fi
 
--- root.orig/build/unix/makecintdlls.sh	2005-06-28 17:02:33.000000000 -0500
+++ root.new/build/unix/makecintdlls.sh	2006-03-27 18:45:00.000000000 -0600
@@ -81,32 +81,6 @@
    $1
 }
 
-rename() {
-   if [ "$SOEXT" != "dll" ]; then
-      if [ "$PLATFORM" = "macosx" ]; then
-         if [ $macosx_minor -ge 4 ]; then
-            mv $1.$SOEXT $1.dll
-            rm -f $1.so
-         else
-            mv $1.so $1.dll
-            rm -f $1.$SOEXT
-         fi
-      else
-         mv $1.$SOEXT $1.dll
-      fi
-   fi
-}
-
-macrename() {
-   if [ "$PLATFORM" = "macosx" ]; then
-      if [ $macosx_minor -ge 4 ]; then
-         mv -f $1.$SOEXT $1.so
-      else
-         rm -f $1.$SOEXT
-      fi
-   fi;
-}
-
 cpdllwin32() {
    mv -f bin/stdfunc.dll   $CINTDIRI
    mv -f bin/vector.dll    $CINTDIRS
@@ -137,9 +111,8 @@
          -DG__MAKECINT -c-2 -Z0 $STDFUNCDIR/stdfunc.h"
 execute "$CC $OPT $CINTCFLAGS -I. -o $STDFUNCDIR/G__c_stdfunc.o \
          -c $STDFUNCDIR/G__c_stdfunc.c"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" stdfunc.$SOEXT \
-   $CINTDIRI/stdfunc.$SOEXT "$STDFUNCDIR/G__c_stdfunc.o"
-rename $CINTDIRI/stdfunc
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRI/stdfunc.dll \
+   $CINTDIRI/stdfunc.dll "$STDFUNCDIR/G__c_stdfunc.o"
 
 #execute "$CINT -w1 -zstdcxxfunc -n$STDFUNCDIR/G__c_stdcxxfunc.cxx \
 #         -D__MAKECINT__ -DG__MAKECINT -c-1 -A -Z0 $STDFUNCDIR/stdcxxfunc.h"
@@ -173,8 +147,8 @@
          -c $POSIXDIR/G__c_posix.c"
 execute "$CC $OPT $CINTCFLAGS -I. -o $POSIXDIR/exten.o \
          -c $POSIXDIR/exten.c"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" posix.$SOEXT \
-   $CINTDIRI/posix.$SOEXT "$POSIXDIR/G__c_posix.o $POSIXDIR/exten.o"
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRI/posix.dll \
+   $CINTDIRI/posix.dll "$POSIXDIR/G__c_posix.o $POSIXDIR/exten.o"
 rename $CINTDIRI/posix
 
 rm -f $POSIXDIR/G__c_posix.c $POSIXDIR/G__c_posix.h $POSIXDIR/G__c_posix.o \
@@ -187,8 +160,8 @@
 execute "$CINT -K -w1 -zipc -n$IPCDIR/G__c_ipc.c -D__MAKECINT__ \
          -DG__MAKECINT -c-2 -Z0 $IPCDIR/ipcif.h"
 execute "$CC $OPT $CINTCFLAGS -I. -o $IPCDIR/G__c_ipc.o -c $IPCDIR/G__c_ipc.c"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" ipc.$SOEXT \
-   $CINTDIRI/sys/ipc.$SOEXT "$IPCDIR/G__c_ipc.o"
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRI/sys/ipc.dll \
+   $CINTDIRI/sys/ipc.dll "$IPCDIR/G__c_ipc.o"
 rename $CINTDIRI/sys/ipc
 
 rm -f $IPCDIR/G__c_ipc.c $IPCDIR/G__c_ipc.h $IPCDIR/G__c_ipc.o
@@ -231,12 +205,10 @@
          -c $STLDIR/rootcint_vector.cxx"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -DWHAT=\"vector\" \
          -o $STLDIR/stlLoader_vector.o -c $LINKDEFDIR/stlLoader.cc"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" vector.$SOEXT \
-   $CINTDIRS/vector.$SOEXT $STLDIR/G__cpp_vector.o $STLDIR/stlLoader_vector.o
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libvectorDict.$SOEXT \
-   lib/libvectorDict.$SOEXT $STLDIR/rootcint_vector.o
-rename $CINTDIRS/vector
-macrename lib/libvectorDict
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/vector.dll \
+   $CINTDIRS/vector.dll $STLDIR/G__cpp_vector.o $STLDIR/stlLoader_vector.o
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libvectorDict.so \
+   lib/libvectorDict.so $STLDIR/rootcint_vector.o
 
 execute "$CINT -w1 -zlist -n$STLDIR/G__cpp_list.cxx -D__MAKECINT__ \
          -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/lst.h"
@@ -248,12 +220,10 @@
          -c $STLDIR/rootcint_list.cxx"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -DWHAT=\"list\" \
          -o $STLDIR/stlLoader_list.o -c $LINKDEFDIR/stlLoader.cc"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" list.$SOEXT \
-   $CINTDIRS/list.$SOEXT $STLDIR/G__cpp_list.o $STLDIR/stlLoader_list.o
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" liblistDict.$SOEXT \
-   lib/liblistDict.$SOEXT $STLDIR/rootcint_list.o
-rename $CINTDIRS/list
-macrename lib/liblistDict
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/list.dll \
+   $CINTDIRS/list.dll $STLDIR/G__cpp_list.o $STLDIR/stlLoader_list.o
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" liblistDict.so \
+   lib/liblistDict.so $STLDIR/rootcint_list.o
 
 execute "$CINT -w1 -zdeque -n$STLDIR/G__cpp_deque.cxx -D__MAKECINT__ \
          -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/dqu.h"
@@ -265,12 +235,10 @@
          -c $STLDIR/rootcint_deque.cxx"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -DWHAT=\"deque\" \
          -o $STLDIR/stlLoader_deque.o -c $LINKDEFDIR/stlLoader.cc"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" deque.$SOEXT \
-   $CINTDIRS/deque.$SOEXT $STLDIR/G__cpp_deque.o  $STLDIR/stlLoader_deque.o 
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libdequeDict.$SOEXT \
-   lib/libdequeDict.$SOEXT $STLDIR/rootcint_deque.o
-rename $CINTDIRS/deque
-macrename lib/libdequeDict
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/deque.dll \
+   $CINTDIRS/deque.dll $STLDIR/G__cpp_deque.o  $STLDIR/stlLoader_deque.o 
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libdequeDict.so \
+   lib/libdequeDict.so $STLDIR/rootcint_deque.o
 
 execute "$CINT -w1 -zmap -n$STLDIR/G__cpp_map.cxx -D__MAKECINT__ \
          -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/mp.h"
@@ -281,12 +249,10 @@
          -c $STLDIR/rootcint_map.cxx"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -DWHAT=\"map\" \
          -o $STLDIR/stlLoader_map.o -c $LINKDEFDIR/stlLoader.cc"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" map.$SOEXT \
-   $CINTDIRS/map.$SOEXT $STLDIR/G__cpp_map.o $STLDIR/stlLoader_map.o
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libmapDict.$SOEXT \
-   lib/libmapDict.$SOEXT $STLDIR/rootcint_map.o
-rename $CINTDIRS/map
-macrename lib/libmapDict
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/map.dll \
+   $CINTDIRS/map.dll $STLDIR/G__cpp_map.o $STLDIR/stlLoader_map.o
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libmapDict.so \
+   lib/libmapDict.so $STLDIR/rootcint_map.o
 
 execute "$CINT -w1 -zmap2 -n$STLDIR/G__cpp_map2.cxx -D__MAKECINT__ \
          -DG__MAKECINT -DG__MAP2 -I$STLDIR -c-1 -A  -Z0 $STLDIR/mp.h"
@@ -298,12 +264,10 @@
          -c $STLDIR/rootcint_map2.cxx"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -DWHAT=\"map2\" \
          -o $STLDIR/stlLoader_map2.o -c $LINKDEFDIR/stlLoader.cc"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" map2.$SOEXT \
-   $CINTDIRS/map2.$SOEXT $STLDIR/G__cpp_map2.o $STLDIR/stlLoader_map2.o 
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libmap2Dict.$SOEXT \
-   lib/libmap2Dict.$SOEXT $STLDIR/rootcint_map2.o
-rename $CINTDIRS/map2
-macrename lib/libmap2Dict
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/map2.dll \
+   $CINTDIRS/map2.dll $STLDIR/G__cpp_map2.o $STLDIR/stlLoader_map2.o 
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libmap2Dict.so \
+   lib/libmap2Dict.so $STLDIR/rootcint_map2.o
 
 execute "$CINT -w1 -zset -n$STLDIR/G__cpp_set.cxx -D__MAKECINT__ \
          -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/st.h"
@@ -314,12 +278,10 @@
          -c $STLDIR/rootcint_set.cxx"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -DWHAT=\"set\" \
          -o $STLDIR/stlLoader_set.o -c $LINKDEFDIR/stlLoader.cc"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" set.$SOEXT \
-   $CINTDIRS/set.$SOEXT $STLDIR/G__cpp_set.o $STLDIR/stlLoader_set.o
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/set.dll \
+   $CINTDIRS/set.dll $STLDIR/G__cpp_set.o $STLDIR/stlLoader_set.o
 $MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libsetDict.$SOEXT \
-   lib/libsetDict.$SOEXT $STLDIR/rootcint_set.o
-rename $CINTDIRS/set
-macrename lib/libsetDict
+   lib/libsetDict.so $STLDIR/rootcint_set.o
 
 execute "$CINT -w1 -zmultimap -n$STLDIR/G__cpp_multimap.cxx -D__MAKECINT__ \
          -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/multmp.h"
@@ -331,13 +293,11 @@
          -c $STLDIR/rootcint_multimap.cxx"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -DWHAT=\"multimap\" \
          -o $STLDIR/stlLoader_multimap.o -c $LINKDEFDIR/stlLoader.cc"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" multimap.$SOEXT \
-   $CINTDIRS/multimap.$SOEXT $STLDIR/G__cpp_multimap.o \
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/multimap.dll \
+   $CINTDIRS/multimap.dll $STLDIR/G__cpp_multimap.o \
    $STLDIR/stlLoader_multimap.o
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libmultimapDict.$SOEXT \
-   lib/libmultimapDict.$SOEXT $STLDIR/rootcint_multimap.o
-rename $CINTDIRS/multimap
-macrename lib/libmultimapDict
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libmultimapDict.so \
+   lib/libmultimapDict.so $STLDIR/rootcint_multimap.o
 
 execute "$CINT -w1 -zmultimap2 -n$STLDIR/G__cpp_multimap2.cxx -D__MAKECINT__ \
          -DG__MAKECINT -DG__MAP2 -I$STLDIR -c-1 -A  -Z0 $STLDIR/multmp.h"
@@ -349,13 +309,11 @@
          -c $STLDIR/rootcint_multimap2.cxx"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -DWHAT=\"multimap2\" \
          -o $STLDIR/stlLoader_multimap2.o -c $LINKDEFDIR/stlLoader.cc"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" multimap2.$SOEXT \
-   $CINTDIRS/multimap2.$SOEXT $STLDIR/G__cpp_multimap2.o \
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/multimap2.dll \
+   $CINTDIRS/multimap2.dll $STLDIR/G__cpp_multimap2.o \
    $STLDIR/stlLoader_multimap2.o
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libmultimap2Dict.$SOEXT \
-   lib/libmultimap2Dict.$SOEXT $STLDIR/rootcint_multimap2.o
-rename $CINTDIRS/multimap2
-macrename lib/libmultimap2Dict
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libmultimap2Dict.so \
+   lib/libmultimap2Dict.so $STLDIR/rootcint_multimap2.o
 
 execute "$CINT -w1 -zmultiset -n$STLDIR/G__cpp_multiset.cxx -D__MAKECINT__ \
          -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/multst.h"
@@ -367,29 +325,25 @@
          -c $STLDIR/rootcint_multiset.cxx"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -DWHAT=\"multiset\" \
          -o $STLDIR/stlLoader_multiset.o -c $LINKDEFDIR/stlLoader.cc"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" multiset.$SOEXT \
-   $CINTDIRS/multiset.$SOEXT $STLDIR/G__cpp_multiset.o \
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/multiset.dll \
+   $CINTDIRS/multiset.dll $STLDIR/G__cpp_multiset.o \
    $STLDIR/stlLoader_multiset.o
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libmultisetDict.$SOEXT \
-   lib/libmultisetDict.$SOEXT $STLDIR/rootcint_multiset.o
-rename $CINTDIRS/multiset
-macrename lib/libmultisetDict
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" libmultisetDict.so \
+   lib/libmultisetDict.so $STLDIR/rootcint_multiset.o
 
 execute "$CINT -w1 -zstack -n$STLDIR/G__cpp_stack.cxx -D__MAKECINT__ \
          -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/stk.h"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -o $STLDIR/G__cpp_stack.o \
          -c $STLDIR/G__cpp_stack.cxx"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" stack.$SOEXT \
-   $CINTDIRS/stack.$SOEXT $STLDIR/G__cpp_stack.o
-rename $CINTDIRS/stack
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/stack.dll \
+   $CINTDIRS/stack.dll $STLDIR/G__cpp_stack.o
 
 execute "$CINT -w1 -zqueue -n$STLDIR/G__cpp_queue.cxx -D__MAKECINT__ \
          -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/que.h"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -o $STLDIR/G__cpp_queue.o \
          -c $STLDIR/G__cpp_queue.cxx"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" queue.$SOEXT \
-   $CINTDIRS/queue.$SOEXT $STLDIR/G__cpp_queue.o
-rename $CINTDIRS/queue
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/queue.dll \
+   $CINTDIRS/queue.dll $STLDIR/G__cpp_queue.o
 
 #execute "$CINT -w1 -zvalarray -n$STLDIR/G__cpp_valarray.cxx -D__MAKECINT__ \
 #         -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/vary.h"
@@ -403,17 +357,15 @@
          -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/cinteh.h"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -o $STLDIR/G__cpp_exception.o \
          -c $STLDIR/G__cpp_exception.cxx"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" exception.$SOEXT \
-   $CINTDIRS/exception.$SOEXT $STLDIR/G__cpp_exception.o
-rename $CINTDIRS/exception
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/exception.dll \
+   $CINTDIRS/exception.dll $STLDIR/G__cpp_exception.o
 
 execute "$CINT -w1 -zcomplex -n$STLDIR/G__cpp_complex.cxx -D__MAKECINT__ \
          -DG__MAKECINT -I$STLDIR -c-1 -A  -Z0 $STLDIR/cmplx.h"
 execute "$CXX $OPT $CINTCXXFLAGS $INCDIRS -o $STLDIR/G__cpp_complex.o \
          -c $STLDIR/G__cpp_complex.cxx"
-$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" complex.$SOEXT \
-   $CINTDIRS/complex.$SOEXT $STLDIR/G__cpp_complex.o
-rename $CINTDIRS/complex
+$MAKELIB $PLATFORM $LD "$LDFLAGS" "$SOFLAGS" $CINTDIRS/complex.dll \
+   $CINTDIRS/complex.dll $STLDIR/G__cpp_complex.o
 
 rm -f $STLDIR/G__* $STLDIR/rootcint_*  $STLDIR/stlLoader_*
 
